<!DOCTYPE html>
<html>
<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0, user-scalable=no">
    <title>Integros Video Player Example</title>
    <link href="favicon.png" rel="icon" type="image/png">
    <style>
        body {
            margin: 0;
            padding: 0;
            box-sizing: border-box;
            background-color: #999;
        }

        .container {
            margin: 0;
            padding: 0 5%;
            box-sizing: border-box;
            min-width: 100vw;
            min-height: 100vh;
            background: url(bg.jpg) center center no-repeat;
            background-size: cover;
        }

        .header {
            box-sizing: border-box;
            height: 80px;
            padding-top: 20px;
            border-bottom: 1px solid rgba(255, 255, 255, 0.1);
        }

        .logo {
            width: 120px;
            height: 34px;
            background-image: url(main@2x.png);
            background-size: 240px 586px;
            background-position: 0 0;
            background-repeat: no-repeat;
        }

        .player {
            position: absolute;
            top: 52%;
            left: 50%;
            transform: translate(-50%, -52%);
        }
    </style>
</head>
<body>
    <div class="container">
        <div class="header">
            <div class="logo"></div>
        </div>
        <div id="player" class="player"></div>
        <script>
            var playerSrc = 'player.js';
            var script = document.createElement('script');
            script.src = playerSrc;
            script.onload = function() {
                var urls = {
                    "mp4": {
                        "240": "240.mp4",
                        "360": "360.mp4",
                        "480": "480.mp4",
                        "720": "720.mp4",
                        "1080": "1080.mp4",
                    }
                };
                var params = {
                    "width": 800,
                    "height": 450,
                    "title": 'CAPE TOWN',
                    "autostart": true,
                };
                Integros.Player.create('player', urls, params, {});
            };
            document.head.appendChild(script);
        </script>
    </div>
</body>
</html>